{% extends 'nav.html' %}


<!DOCTYPE html>
<html leng="eng">
    <head>
        <title></title>
    </head>
    <body>
        <header>
        </header>
        <main>
            {% block content %}
                <a href="{% url 'create_project' %}">Create Project</a>
                <div>
                    <h1>My Projects</h1>
                    {% if project_list|length == 0 %}
                        <p>You are not assigned to any projects</p>
                    {% else %}
                        <table>
                            <thead>
                                <th>Name</th>
                                <th>Number of tasks</th>
                            </thead>
                            <tbody>
                                {% for project in project_list %}
                                    <tr>
                                        <td><a href="{% url 'show_project' project.pk %}">{{ project.name }}</a></td>
                                        <td>{{ project.tasks.all|length }} </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    {% endif %}
                </div>
            {% endblock content %}
        </main>
    </body>
</html>